# Hurricane VLSI Database

List of all members
Hurricane::Segment::TargetHook Class Reference
Inheritance diagram for Hurricane::Segment::TargetHook:
[legend]

## Additional Inherited Members
Public Member Functions inherited from Hurricane::Hook
Hook * | getNextHook () const
Hook * | getPreviousHook () const
Hook * | getMasterHook () const
Hook * | getNextMasterHook () const
Hook * | getPreviousMasterHook () const
Hooks | getHooks () const
Hooks | getSlaveHooks () const
bool | isAttached () const
Hook * | detach ()
Hook * | attach (Hook *hook)
Hook * | merge (Hook *hook)

## Detailed Description

With segments, a new type of Hook appears : the TargetHook, which allows to attach the segment extremity upon an other component, on which it is said to be "anchored". The TargetHook is always a slave hook.

The documentation for this class was generated from the following file:

- Segment.h

Generated by doxygen 1.8.14 on Sun Mar 8 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved